//  main: main.less, out: ../style.css

// ====================================================================================================================================
// FOOTER
// ====================================================================================================================================

.c-footer {
    color: @color-white;
    background-color: @color-footer;
    padding: @margin__m 0 @margin__s*2;

    .c-footer__title {
        font-family: @font_titles;
        font-size: @size__xl;
        margin: 0 0 @margin__m/2;
    }

    p {
        margin: 0;

        b {
            font-family: @font_titles;
        }
    }

    @media @media_smartphone {
        padding: 0;
    }
}

.c-footer__inner {
    .u-flex-display;
    .u-justify-content(space-between);

    .c-footer__name {
        width: 40%;
    }
    .c-footer__info {
        width: 60%;
    }

    .c-footer__info {
        .wpcf7-dark;
        .wpcf7 {
            margin-top: @margin__s;
        }
    }
    
    @media @media_smartphone {
        .u-flex-direction(column);
        .c-footer__name,
        .c-footer__info {
            width: 100%;
            padding: @margin__s*2 0;
        }
    }
}

.c-footer__bottom {
    margin-top: @margin__s;
    padding-top: @margin__s;
    .u-flex-display;
    .u-justify-content(space-between);

    .inner {
        .u-flex-display;
    }

    .social-icon {
        margin-right: @margin__s;
    }

    @media @media_smartphone {
        text-align: left;
        padding-bottom: @margin__s*2;
        margin-top: @margin__s;
        .u-flex-direction(column);

        .inner {
            .u-justify-content(flex-start);
            .u-flex-direction(column);
            margin-bottom: @margin__s;
        }

        .social-icon {
            margin-right: @margin__s/2;
        }
    }
}

// ====================================================================================================================================
// COOKIE NOTICE
// ====================================================================================================================================


#cookie-notice {
    min-width: auto!important;
}

.cn-bottom {
    bottom: @margin__s;
    left: initial!important;
    right: @margin__s;
    width: 280px;
    padding: @margin__s/2;
    .u-border-radius(6px);
    .cookie-notice-container {
        .u-flex-display;
        .u-flex-direction(column);
        text-align: left;

    }
    .o-button {
        margin: @margin__s 0 0 0!important;
    }
}